#pragma once

#include "CoreMinimal.h"
#include "CoreSelectableButtonWidget.h"
#include "ECustomizationCategory.h"
#include "StoreCategoryViewData.h"
#include "CoreStoreCategoryWidget.generated.h"

class UCoreOnHoverBorderWidget;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreStoreCategoryWidget : public UCoreSelectableButtonWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UCoreOnHoverBorderWidget* OnHoverBorder;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	ECustomizationCategory _category;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText _categoryTooltipText;

public:
	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetData(const FStoreCategoryViewData& data);

public:
	UCoreStoreCategoryWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreStoreCategoryWidget) { return 0; }
